### Method

# Vips Image abs

#### Declaration [src]

    int
    vips_abs (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

This operation finds the absolute value of an image. It does a copy for unsigned integer types, negate for negative values in signed integer types, `fabs()` for float types, and calculates modulus for complex types.

See also

`vips_sign()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output `VipsImage`.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.